﻿using System.Diagnostics;
using System.Windows.Forms;

using DevExpress.XtraEditors;
using DevExpress.XtraEditors.Controls;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.hyperLinkEdit.OpenLink += hyperLinkEdit_OpenLink;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 하이퍼링크 에디터 링크 오픈시 처리하기 - hyperLinkEdit_OpenLink(sender, e)

        /// <summary>
        /// 하이퍼링크 에디터 링크 오픈시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void hyperLinkEdit_OpenLink(object sender, OpenLinkEventArgs e)
        {
            Process process = new Process();

            process.StartInfo.FileName    = Application.StartupPath;
            process.StartInfo.Verb        = "explore";
            process.StartInfo.WindowStyle = (sender as HyperLinkEdit).Properties.BrowserWindowStyle;

            process.Start();

            e.Handled = true;
        }

        #endregion
    }
}